<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:39:48" />
    <title>SQL Server 2000 Driver for JDBC Directory Structure</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="998888" class="NewHTMLPage">
  <a name="998888"> </a>SQL Server 2000 Driver for JDBC Directory Structure
</h2><hr />
<p id="998892" class="Body">
  <a name="998892"> </a><a href="usejdbc8.html#998900">Table 2-1</a> shows the SQL Server 2000 Driver for JDBC directory structure and provides a description of files and directories. All of the following files and directories are located in the SQL Server 2000 Driver for JDBC installation directory.
</p>
<p id="998893" class="Body">
  <a name="998893"> </a>
</p>
<p id="999099" class="Body">
  <a name="999099"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption><a name="998900"> </a><div id="998900" class="TableTitle">Table 2-1.  SQL Server 2000 Driver for JDBC Directory and Files </div></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><a name="998904"> </a><div id="998904" class="CellHeading">Directories and Files</div></th>
    <th><a name="998906"> </a><div id="998906" class="CellHeading">Description</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="998948"> </a><div id="998948" class="CellBody">uninstall.class</div></td>
    <td bgcolor="#E6E6E6"><a name="998950"> </a><div id="998950" class="CellBody">Executable that uninstalls the SQL Server 2000 Driver for JDBC (Windows only). </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="998952"> </a><div id="998952" class="CellBody">/books/</div></td>
    <td bgcolor="#E6E6E6"><a name="998954"> </a><div id="998954" class="CellBody">Directory that contains all of the SQL Server 2000 Driver for JDBC online documentation.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="998965"> </a><div id="998965" class="CellBody">/Help/</div></td>
    <td bgcolor="#E6E6E6"><a name="998967"> </a><div id="998967" class="CellBody">Directory that contains the SQL Server 2000 Driver for JDBC online help.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="999001"> </a><div id="999001" class="CellBody">/lib/mssqlserver.jar</div></td>
    <td bgcolor="#E6E6E6"><a name="999003"> </a><div id="999003" class="CellBody">Jar file containing the SQL Server 2000 Driver for JDBC and data source classes, specifically:</div><a name="999004"> </a><div id="999004" class="CellBody">com.microsoft.jdbc.sqlserver.SQLServerDriver</div><a name="999005"> </a><div id="999005" class="CellBody">and</div><a name="999006"> </a><div id="999006" class="CellBody">com.microsoft.jdbcx.sqlserver.SQLServerDataSource</div><a name="999007"> </a><div id="999007" class="CellBody">as well as other SQL Server driver-specific classes. This Jar file must be on your CLASSPATH to use the SQL Server 2000 Driver for JDBC.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="999017"> </a><div id="999017" class="CellBody">/lib/msbase.jar</div></td>
    <td bgcolor="#E6E6E6"><a name="999019"> </a><div id="999019" class="CellBody">Jar file containing classes that are used by the SQL Server 2000 Driver for JDBC. This Jar file must be on your CLASSPATH to use the SQL Server 2000 Driver for JDBC.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="999021"> </a><div id="999021" class="CellBody">/lib/msutil.jar</div></td>
    <td bgcolor="#E6E6E6"><a name="999023"> </a><div id="999023" class="CellBody">Jar file containing classes that are used by the SQL Server 2000 Driver for JDBC. This Jar file must be on your CLASSPATH to use the SQL Server 2000 Driver for JDBC.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="999158"> </a><div id="999158" class="CellBody">/SQLServer JTA/instjdbc.sql<br />/SQLServer JTA/sqljdbc.dll</div></td>
    <td bgcolor="#E6E6E6"><a name="999160"> </a><div id="999160" class="CellBody">Files used for installing JTA stored procedures for SQL Server 2000.</div></td>
  </tr>
</table>




</p>
<p></p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="usejdbc7.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcsqlsrv.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
